%define name            libnasl
%define version         2.0.7
%define release         1mdk
%define lib_major       2
%define lib_name        %mklibname nasl %{lib_major}

Name:		%{name}
Summary:	NASL is a scripting language designed for the Nessus security scanner.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.nessus.org
Source0:	libnasl-%{version}.tar.bz2
Prefix:         %{prefix}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	openssl-devel
BuildRequires:	libnessus-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
NASL is a scripting language designed for the Nessus security scanner.
Its aim is to allow anyone to write a test for a given security hole
in a few minutes, to allow people to share their tests without having
to worry about their operating system, and to garantee everyone that
a NASL script can not do anything nasty except performing a given
security test against a given target.
Thus, NASL allows you to easily forge IP packets, or to send regular
packets. It provides you some convenient functions that will make the
test of web and ftp server more easy to write. NASL garantees you that
a NASL script :
    * will not send any packet to a host other than the target host
    * will not execute any commands on your local system 
	

%package -n %{lib_name}
Group:		System/Servers
Summary:	Nasl - Nessus Attack Scripting Language
Provides:	nessus-libs
Obsoletes:	nessus-libs

%description -n %{lib_name}
Nasl - Nessus Attack Scripting Language.
These libraries are needed by nessus.


%package -n %{lib_name}-devel
Group:		System/Libraries
Summary:	Development libraries and headers for Nasl.
Requires:	%{lib_name} = %{version}
Provides:	libnasl-devel

%description -n %{lib_name}-devel
Development libraries and headers for Nasl.


%prep
%setup -q -n %{name}


%build
# PATH="%buildroot%{_bindir}:$PATH" \
# CFLAGS="%optflags" \
# LD_LIBRARY_PATH="%buildroot%{_libdir}:$LD_LIBRARY_PATH" \
# ac_cv_prog_cc_g=no ac_cv_prog_cxx_g=no %configure
# perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile
# %make NESSUS_INCLUDE="-I/usr/include/nessus -DNESSUS_ON_SSL -DHAVE_SSL -I/usr/include/openssl \
#    -DNESSUS_EXTENSIONS -I../include -DHAVE_CONFIG_H"
%configure
# 2.0.6: parallel make is broken
make

%install
if [ -d %buildroot ]; then rm -rf %buildroot; fi
%makeinstall

perl -pi -e 's|^PREFIX=.*|PREFIX='%buildroot%{_prefix}'|' %buildroot%{_bindir}/nasl-config

# Correct paths in devel stuff
#perl -pi -e 's|^PREFIX=.*|PREFIX='%{_prefix}'|' \
# %buildroot%{_bindir}/*-config \

# remove unwanted files
rm -rf $RPM_BUILD_ROOT/%_libdir/%name/plugins_factory


%clean
if [ -d %buildroot ]; then rm -rf %buildroot; fi


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(0644,root,root,755)
%{_includedir}/nessus/*
%{_libdir}/*.so
%{_libdir}/*.*a
%attr(0755,root,root) %{_bindir}/nasl-config
%attr(0755,root,root) %{_bindir}/nasl
%{_mandir}/man1/*


%changelog
* Tue Jul 22 2003 Marcel Pol <mpol@gmx.net> 2.0.7-1mdk
- 2.0.7
- split libnasl from main package
- commented out stuff that doesn't seem necessary

* Wed Dec 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Tue Oct  8 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6
- removed README_LINUX (doesn't exist anymore)

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-3mdk
- Requires nessus-plugins

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-2mdk
- 1.2.5

* Tue Sep 10 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Tue Jun 18 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-2mdk
- BuildRequires

* Fri Apr 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.13-1mdk
- 1.1.13
- xpm2png

* Tue Jan 22 2002 Laurent Culioli <laurent@mandrakesoft.com> 1.1.11-1mdk
- 1.1.11

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.9-3mdk
- rebuild

* Thu Nov 22 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.1.9-2mdk
- Make rpmlint a little happier

* Wed Nov 21 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.1.9-1mdk
- 1.1.9
- Actually really set localstatedir to /var/lib instead of to /var/log

* Thu Nov  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.8-1mdk
- 1.1.8
- call nessus-mkcert at install if certs do not exist
- patch nessus-mkcert to use more sensible locations to store certs/keys (P1)
- make localstatedir /var/lib and not /var/log (???) so that user accounts
  and info go into /var/lib/users and not /var/log/users

* Wed Nov  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-2mdk
- don't use sub shell in %build
- use %%make
- use service macros
- added the missing nessus-mkcert, nessus-rmuser and nessus-update-plugins
- add a dependency on tar, gzip and lynx for nessus-update-plugins

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- updated to 1.1.4

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- updated to 1.0.9

* Wed Jun  6 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.0.8-1mdk
- updated to 1.0.8

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7a-1mdk
- upgraded to 1.0.7a

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- updated to 1.0.7

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- used srpm from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	New version
	Added menu for the client with icons
	Quiet the unpacking of the files

* Wed Jul 26 2000 John Johnson <jjohnson@linux-mandrake.com> 1.0.3-1mdk
- Fixed an error in my spec file that caused the nessusd script in
  /etc/rc.d/init.d to not work properly.

* Wed Jul 12 2000 John Johnsin <jjohnson@linux-mandrake.com> 1.0.3-1mdk
- Updated rpm for version 1.0.3 
- made a few small changes to spec file

* Sat Jun 10 2000 John Johnson <jjohnson@linux-mandrake.com> 1.0.1-1mdk
- updated sources to the new version.

* Mon May 29 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.0.0-2mdk
- bzip sources
- fix group
- various specfile cleanups
- made unrelocatable
- added call to ldconfig in post and postun

* Thu May 18 2000 John Johnson <jjohnson@linux-mandrake.com>
- Made Mandrake rpm
